# Unsloth in a docker container

❗ Very important ❗

The complete docker image is designed for CUDA 12.1!
There must be a compatible version on the host such as <span style="color: red;">CUDA 12.2</span> and <span style="color: skyblue;">docker</span> has to be installed.

Run `nvidia-smi` on the Host to see if you are using the right Conda version.

![nvidia-smi](./assets/nvidiasmi.png)

Build the container with:
```shell
docker build -t cuda-unsloth-jupyter .
```

And mount your directory to the ```/app``` path when starting.

Setting default password to: `123`
```shell
docker run --rm  --gpus=all -v path_to_files:/app -e JUPYTER_TOKEN='123' -p 8088:8088 -d cuda-unsloth-jupyter
```

```--rm```: This flag automatically deletes the container after it exits, freeing up disk space and keeping the environment clean. Add the `-it` flag to run the container in interactive mode, giving you direct access to its shell. Use `-d` to detach the container and run it in the background. Combining `-itd` allows you to interact with the container initially, then detach, leaving it running in the background.


Currently tested with:

| GPU Model   | Memory (GB) |
|-------------|-------------|
| RTX 3090 Ti | 24          |

Please note:<br>
If you are using a different graphics card or a different Pytorch version, then you must adapt the Dockerfile accordingly. See:
[docs.unsloth.ai](https://docs.unsloth.ai/get-started/installation/pip-install) 
